package pay

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_pay.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_pay.git/db/model"
	zhios_tool_e "code.fnuoos.com/go_rely_warehouse/zyos_go_tools.git/e"
)

//支付渠道获取
func JudgePayChannel(mid, paySceneIdentifier string) (model.PayChannelMaster, error) {
	var payChannelMaster = model.PayChannelMaster{}
	res, err := db.Db.Where("app_id = ?", mid).And("identifier = ?", paySceneIdentifier).Get(&payChannelMaster)
	if err != nil {
		return payChannelMaster, err
	}
	if !res {
		return payChannelMaster, zhios_tool_e.NewErr(400, "查询数据失败")
	}
	if payChannelMaster.ChannelId == 0 {
		return payChannelMaster, zhios_tool_e.NewErr(400, "请联系服务商绑定支付渠道")
	}
	return payChannelMaster, nil
}
